View Issue Details

IDProjectCategoryView StatusLast Update
13323Bug reports[All Projects] Survey designpublic2018-02-21 16:46
ReporterpgsAssigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.3.x 
Summary13323: After completing survey, exit page is not, instead "print your answer" ist displayed. Error: Question.parent is not defined
Description

Hello,

since updating to 3.2.1+180207, the exit page ("thank you for" etc. ) is not displayed. Instead a page with only entry "print your answer" is displayed. Users have no options to do anything other than chose "print your answer".
After chosing that, error

Internal Error - Question.parent is not defined

is displayed. Several participants confirmed this behavior.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.2.1+180207
I will donate to the project if issue is resolvedNo
BrowserAll Browsers
Database & DB-VersionMariaDB 10.1.26
Operating System (Server)Debian 9
Webserver software & versionApache2 2.4.25-3
PHP Version7.0+49

Activities

pgs

pgs

2018-02-08 23:50

reporter   ~46334

Update: When disabling the option "Participants may print answers", the last page is empty (header and footer are displayed). The survey itself is completed and saved correctly.

pgs

pgs

2018-02-08 23:53

reporter   ~46335

Update: tried to use an own page for exit / end. Even though I set and end url and switched on "Automatically load URL when survey complete", my own end page is not displayed.

pgs

pgs

2018-02-09 00:26

reporter   ~46336

and here's the source of the last delivered page. My FQDN is anonymized to invalid.invalid.



survey.index.php_992263.txt (12,187 bytes)
<!DOCTYPE html>
<html lang="de" dir="ltr" class="de dir-ltr no-js " >
            



<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="generator" content="LimeSurvey http://www.limesurvey.org" />

        

    <link rel="stylesheet" type="text/css" href="/tmp/assets/35e1d21e/noto.css <view-source:https://survey.invalid.invalid/tmp/assets/35e1d21e/noto.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/b9401a6d/css/font-awesome.min.css <view-source:https://survey.invalid.invalid/tmp/assets/b9401a6d/css/font-awesome.min.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/a4066757/survey.css <view-source:https://survey.invalid.invalid/tmp/assets/a4066757/survey.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/cf256be4/template-core.css <view-source:https://survey.invalid.invalid/tmp/assets/cf256be4/template-core.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/cf256be4/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css <view-source:https://survey.invalid.invalid/tmp/assets/cf256be4/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/28d82530/bootstrap.min.css <view-source:https://survey.invalid.invalid/tmp/assets/28d82530/bootstrap.min.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/28d82530/yiistrap.min.css <view-source:https://survey.invalid.invalid/tmp/assets/28d82530/yiistrap.min.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/408cb576/css/ajaxify.css <view-source:https://survey.invalid.invalid/tmp/assets/408cb576/css/ajaxify.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/408cb576/css/theme.css <view-source:https://survey.invalid.invalid/tmp/assets/408cb576/css/theme.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/408cb576/css/custom.css <view-source:https://survey.invalid.invalid/tmp/assets/408cb576/css/custom.css>" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/3c70c3e4/lime-progress.css <view-source:https://survey.invalid.invalid/tmp/assets/3c70c3e4/lime-progress.css>" />
<script type='text/javascript'>window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="/tmp/assets/f20ff45/jquery-3.1.1.min.js <view-source:https://survey.invalid.invalid/tmp/assets/f20ff45/jquery-3.1.1.min.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f20ff45/jquery-migrate-3.0.0.min.js <view-source:https://survey.invalid.invalid/tmp/assets/f20ff45/jquery-migrate-3.0.0.min.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/e4bd09ff/build/lslog.js <view-source:https://survey.invalid.invalid/tmp/assets/e4bd09ff/build/lslog.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/4a7a6bef/min/pjax.min.js <view-source:https://survey.invalid.invalid/tmp/assets/4a7a6bef/min/pjax.min.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/175eced8/moment-with-locales.min.js <view-source:https://survey.invalid.invalid/tmp/assets/175eced8/moment-with-locales.min.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/a4066757/survey.js <view-source:https://survey.invalid.invalid/tmp/assets/a4066757/survey.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/cf256be4/template-core.js <view-source:https://survey.invalid.invalid/tmp/assets/cf256be4/template-core.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/28d82530/bootstrap.min.js <view-source:https://survey.invalid.invalid/tmp/assets/28d82530/bootstrap.min.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/408cb576/scripts/theme.js <view-source:https://survey.invalid.invalid/tmp/assets/408cb576/scripts/theme.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/408cb576/scripts/ajaxify.js <view-source:https://survey.invalid.invalid/tmp/assets/408cb576/scripts/ajaxify.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/408cb576/scripts/custom.js <view-source:https://survey.invalid.invalid/tmp/assets/408cb576/scripts/custom.js>" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75b5f5f9/survey_runtime.js <view-source:https://survey.invalid.invalid/tmp/assets/75b5f5f9/survey_runtime.js>" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/
LSvar={"bFixNumAuto":1,"bNumRealValue":0,"sLEMradix":".","lang":{},"showpopup":1,"startPopups":{},"debugMode":0};
/*]]>*/
</script>
<title>
        
    </title>

    <link rel="shortcut icon" href="files/favicon.ico <view-source:https://survey.invalid.invalid/index.php/files/favicon.ico>" />
    <script type="text/javascript">
        if(window.basicThemeScripts === undefined){ 
            window.basicThemeScripts = new ThemeScripts(); 
        } 
    </script>
                <script type="text/javascript">
            var ajaxHandler = new AjaxSubmitObject();
            $(document).on('ready pjax:scriptcomplete', function () {
                ajaxHandler.bindActions();
            });
        </script>
    
    
    <style>
        body .top-container {
            margin-top: 70px;
        }
    </style>


    
</head>

        <body class="CSI_LFP_extends_vanilla vanilla font-noto lang-de brand-logo"  >
                                            <script>
    $.ajaxSetup({
        beforeSend:function(){
            // show gif here, eg:
            $("#ajax-loading").show();
        },
        complete:function(){
            // hide gif here, eg:
            $("#ajax-loading").hide();
        }
    });
</script>
<div id="ajax-loading" hidden></div>
                        
        
                        <div id="beginScripts" class="script-container">
            <script type="text/javascript" src="/tmp/assets/730d2e28/decimal.js <view-source:https://survey.invalid.invalid/tmp/assets/730d2e28/decimal.js>"></script>
<script type="text/javascript">
/*<![CDATA[*/
setJsVar();
/*]]>*/
</script>

        </div>
               
                <article>

            <div id="dynamicReloadContainer">
            
                                                    
<!-- Bootstrap Navigation Bar -->
<div class="navbar navbar-default navbar-fixed-top" >
    <div class="navbar-header "  >
        <button type="button" class="navbar-toggle collapsed "  data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar"   >
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>

                            <div class="navbar-brand logo-container"    >
                <img class="logo img-responsive" src="/tmp/assets/602068dd/logo.png <view-source:https://survey.invalid.invalid/tmp/assets/602068dd/logo.png>" />
            </div>
            </div>
    <div id="navbar" class="collapse navbar-collapse "  >
        <ul class="nav navbar-nav navbar-action-link navbar-right" >
            

            

            


                                            </ul>
    </div>
</div>

                
                                                    
<!-- Top container -->
<div class="top-container space-col"    >
    <div class="container-fluid"  >
        
                <div class="progress "  >
            <div class="progress-bar "   role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="min-width: 2em; width: 0%;">
                0%
            </div>
        </div>
    </div> <!-- must hide it without javascript -->
</div>

                
                <!-- Outer Frame Container -->
                                                                            
<!-- outer frame container -->
<div class="outerframe container " id="outerframeContainer"  >
        
<!-- Main Row -->
<div id="main-row"  >
    <!-- Main Col -->
    <div class="col-centered space-col" id="main-col" >

        
                        



                                        
<!-- Main Row -->
<div id="main-row" >

    <!-- Main Col -->
    <div class="col-centered " id="main-col" >

        <div class='token-page' >
                                <div class="h3" >
            Um an dieser Umfrage teilzunehmen, benötigen Sie einen gültigen Zugangsschlüssel.
    </div>
<div class="well container-fluid" >

            <p class='text-info' >
                            Wenn Sie einen Zugangsschlüssel erhalten haben, geben Sie diesen hier ein und klicken Sie auf &#039;Weiter&#039;.
                    </p>
    
    
    <div class="form-token "  >
                
                <!-- Start of the main Form-->
        <form id="form-token" name="limesurvey" class="ls-form form form-horizontal" action="/index.php/992263 <view-source:https://survey.invalid.invalid/index.php/992263>" method="post">
<input type="hidden" value="MWl1NH51WHp3YTZiYTY5Nm9-S2pGZG5vUHZ6ZXowZ0SdwS3zv398EQkq45AJPoYWxSefqG735xF9Y2iAHomZKA==" name="YII_CSRF_TOKEN" />

        
        <div class='form-group' >
            <label class='control-label col-sm-3'  for="loadname">
                <small class="superset text-danger asterisk fa fa-asterisk small "  aria-hidden="true"  ></small>
                Zugangsschlüssel:
                <span class="sr-only text-danger asterisk "  >
                    ( Zwingend notwendig )
                <span>

            </label>

            <div class='load-survey-input input-cell col-sm-7'  >
                                    <input class='form-control'  type="password" id="token" name="token" value="" required  >
                            </div>
        </div>

                
        

        <div class='load-survey-row load-survey-submit form-group ' >
            <div class='load-survey-input input-cell col-sm-7 col-md-offset-3 '  >
                <button type="submit" class='btn btn-default'  type="submit" id="default" name="continue"  value="continue" >
                    Weiter
                </button>
            </div>
        </div>
            </form>
    </div>
</div>
        </div>
    </div> <!-- main col -->
</div> <!-- main row -->

            

    </div> <!-- main col -->
</div> <!-- main row -->
</div>
                
                                



<!-- Bootstrap Modal Alert -->
<div id="bootstrap-alert-box-modal" class="modal fade " >
    <div class="modal-dialog " >
        <div class="modal-content "  >
            <div class="modal-header "  style="min-height:40px;"  >
                <button   type="button" data-dismiss="modal" aria-hidden="true"  class="close "  >&times;</button>
                <div class="modal-title h4 " >&nbsp;</div>
            </div>
            <div class="modal-body " >
                <p></p>
            </div>
            <div class="modal-footer " >
                <a  href="# <view-source:https://survey.invalid.invalid/index.php/992263#>" data-dismiss="modal"   class="btn btn-default ">close</a>
            </div>
        </div>
    </div>
</div>


                        

                        </div>

        </article>
                <div id="bottomScripts" class="script-container">
            <script type="text/javascript">
/*<![CDATA[*/
activateActionLink();
activateConfirmButton();
/*]]>*/
</script>

        </div>
           
                <script>
            window.basicThemeScripts.init();
        </script>
            </body>
</html>

franksanabria

franksanabria

2018-02-13 17:21

reporter   ~46417

Same Error in Versión 3.3.0+180209

olle

olle

2018-02-14 12:36

administrator   ~46443

Please always attach a survey which reproduces the issue, and/or with a screenshot of it.

franksanabria

franksanabria

2018-02-14 17:39

reporter   ~46481

Attach screenshot, only I see the URL but not the link...



bambam

bambam

2018-02-14 22:06

reporter   ~46494

Same error in Version 3.3.1+180214

bambam

bambam

2018-02-14 22:09

reporter   ~46495

For more information read here: https://www.limesurvey.org/de/foren/german-forum/113834-interner-serverfehler-eigenschaft-question-parent-ist-nicht-definiert

c_schmitz

c_schmitz

2018-02-21 16:46

administrator   ~46702

Version 3.4.1. released

Issue History

Date Modified Username Field Change
2018-02-08 21:06 pgs New Issue
2018-02-08 23:50 pgs Note Added: 46334
2018-02-08 23:53 pgs Note Added: 46335
2018-02-09 00:26 pgs File Added: survey.index.php_992263.txt
2018-02-09 00:26 pgs Note Added: 46336
2018-02-13 17:21 franksanabria Note Added: 46417
2018-02-14 12:36 olle Note Added: 46443
2018-02-14 12:38 olle Status new => feedback
2018-02-14 17:39 franksanabria File Added: Captura de pantalla de 2018-02-14 11-34-11.png
2018-02-14 17:39 franksanabria Note Added: 46481
2018-02-14 22:06 bambam Note Added: 46494
2018-02-14 22:09 bambam Note Added: 46495
2018-02-15 15:02 markusfluer Assigned To => markusfluer
2018-02-15 15:02 markusfluer Status feedback => resolved
2018-02-15 15:02 markusfluer Resolution open => fixed
2018-02-15 15:02 markusfluer Fixed in Version => 3.3.x
2018-02-21 16:46 c_schmitz Note Added: 46702
2018-02-21 16:46 c_schmitz Status resolved => closed